Auto Flat Text or Label
-
Is there a feature that automatically will label all my groups/components? I have looked and looked. See attachment for example.
-
Select groups.
Copy and paste the following code into the Ruby Console and press Enter.
mod = Sketchup.active_model ent = mod.active_entities sel = mod.selection sel.grep(Sketchup;;Group).each{|g| pt = Geom;;Point3d.linear_combination(0.5,g.bounds.corner(4),0.5,g.bounds.corner(7)) ent.add_text(g.name,pt,[0,0,g.bounds.depth]) }
-
@sdmitch said:
Select groups.
Copy and paste the following code into the Ruby Console and press Enter.
mod = Sketchup.active_model > ent = mod.active_entities > sel = mod.selection > sel.grep(Sketchup;;Group).each{|g| > pt = Geom;;Point3d.linear_combination(0.5,g.bounds.corner(4),0.5,g.bounds.corner(7)) > ent.add_text(g.name,pt,[0,0,g.bounds.depth]) > } >
Oh MAN! Sorry for the incredibly late reply on this. Thank you! Its crazy that sketchup doesnt have a bult in feature to do BOM with bubble callouts etc.
Advertisement